## TrackerMinerProxy TrackerMinerProxy — Proxies a TrackerMiner on DBus |

## Functions

TrackerMinerProxy * | tracker_miner_proxy_new ()

## Properties

GDBusConnection * | dbus-connection | Read / Write / Construct Only
gchar * | dbus-path | Read / Write / Construct Only
TrackerMiner * | miner | Read / Write / Construct Only

## Types and Values

struct | TrackerMinerProxy
struct | TrackerMinerProxyClass

## Object Hierarchy

        GObject
        ╰── TrackerMinerProxy

## Implemented Interfaces

TrackerMinerProxy implements GInitable.

## Includes

    #include <libtracker-miner/tracker-miner.h>

## Description

TrackerMinerProxy is a helper object to expose org.freedesktop.Tracker1.Miner DBus interfaces for the given TrackerMiner object. This is used to implement miners as DBus services.

This proxy allows the miner to be controlled through external means, such as TrackerMinerManager in libtracker-control.

TrackerMinerProxy implements the GInitable interface, and thus all objects of types inheriting from TrackerMinerProxy must be initialized with `g_initable_init()` just after creation (or directly created with `g_initable_new()`).

## Functions

### tracker_miner_proxy_new ()

    TrackerMinerProxy *
    tracker_miner_proxy_new (TrackerMiner *miner,
                             GDBusConnection *connection,
                             const gchar *dbus_path,
                             GCancellable *cancellable,
                             GError **error);

## Types and Values

### struct TrackerMinerProxy

    struct TrackerMinerProxy;

### struct TrackerMinerProxyClass

    struct TrackerMinerProxyClass {
    	GObjectClass parent_class;
    };

## Property Details

### The `“dbus-connection”` property

      “dbus-connection”          GDBusConnection *

DBus connection.

Flags: Read / Write / Construct Only

### The `“dbus-path”` property

      “dbus-path”                gchar *

DBus path for this miner.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“miner”` property

      “miner”                    TrackerMiner *

Miner to manage.

Flags: Read / Write / Construct Only